@import url("https://use.typekit.net/kek7whc.css");

body {
	font-family: richmond-text, Verdana, Arial, Helvetica, sans-serif !important;
}

.ggskin {
	/* font-family: Verdana, Arial, Helvetica, sans-serif; */
	font-size: 14px;
	line-height: normal;
	font-family: richmond-text, Verdana, Arial, Helvetica, sans-serif;
	font-weight: 300;
	font-style: normal;
}

.text-richmond {
	font-family: richmond-text, Verdana, Arial, Helvetica, sans-serif !important;
}

h1,
h2,
h3,
h4 {
	font-family: richmond-text, Verdana, Arial, Helvetica, sans-serif;
}
.ggmarkdown p,
.ggmarkdown h1,
.ggmarkdown h2,
.ggmarkdown h3,
.ggmarkdown h4 {
	margin-top: 0px;
}
.ggmarkdown {
	white-space: normal;
}

.text a {
	color: #000;
	text-decoration: none;
	display: inline-block;
	border-bottom: 1px solid rgba(0, 0, 0, 0.12);
}
.text a:hover {
	cursor: pointer;
	border-bottom: 1px solid rgba(0, 0, 0, 1);
}

.icon_map:hover,
.icon_info:hover,
.icon_pin:hover {
	cursor: pointer;
	z-index: 200;
}

.sidebar_container {
	right: -100% !important;
	transition: all ease 0.5s 0.1s !important;
}

.sidebar_container.active {
	right: -1% !important;
}

.panel_map,
.panel_info,
.panel_pin,
.panel_details {
	flex-direction: row;
	flex-wrap: wrap;
}

.panel_mobile {
	pointer-events: none !important;
}
.panel_desktop {
	pointer-events: all !important;
}

.hidden {
	display: none;
}

@media (max-width: 992px) {
	.panel_mobile {
		pointer-events: all !important;
	}
	.panel_desktop {
		pointer-events: none !important;
	}
}

.text-large > div,
.text-large {
	font-family: richmond-text, Verdana, Arial, Helvetica, sans-serif;
	font-size: clamp(18px, 2vw, 30px) !important;
}
.text-med > div,
.text-med {
	font-family: richmond-text, Verdana, Arial, Helvetica, sans-serif;
	font-size: clamp(16px, 2vw, 18px) !important;
}
.text-small > div,
.text-small {
	font-family: richmond-text, Verdana, Arial, Helvetica, sans-serif;
	font-size: clamp(13px, 5vw, 16px) !important;
}

@media (max-width: 992px) {
	.text-large > div,
	.text-large {
		font-size: 18px !important;
	}
}

.text-link > div:hover,
.text-link:hover {
	cursor: pointer !important;
}

.icon_info {
	position: relaitve;
}

.icon .icon_alt {
	pointer-events: none;
	opacity: 0;
	position: absolute;
	top: 0;
	left: 0;
}

.icon.active .ggskin_image,
.icon.active .ggskin_button {
	opacity: 0;
}
.icon.active .icon_alt {
	visibility: visible !important;
	opacity: 1;
}
.icon.active .icon_alt .ggskin_image {
	opacity: 1;
}

.closebutton {
	border-radius: 20px;
	border-color: red;
}

.closebutton:hover,
.closebutton:hover div {
	cursor: pointer !important;
	background: #000 !important;
	color: #fff !important;
}

/* ANIMATION */
.sidebar_container .panel {
	transform: translateX(-10px);
	opacity: 0;
	pointer-events: none !important;
	transition: all ease 0.8s 0.2s;
}
.sidebar_container.active .panel.active {
	transform: translateX(0px);
	opacity: 1;
	pointer-events: all !important;
}

.sidebar_container .panel .gotolink {
	pointer-events: none !important;
}
.sidebar_container .panel .gotolink .theMap {
	pointer-events: none !important;
}
.sidebar_container.active .panel.active .gotolink {
	pointer-events: all !important;
}
.sidebar_container.active .panel.active .gotolink .theMap {
	pointer-events: all !important;
}

.panel .fadein {
	transform: translateX(-10px);
	opacity: 0;
	transition: all cubic-bezier(0.25, 1, 0.5, 1) 0.2s; /* Animate out */
}

.panel.active .fadein {
	transform: translateX(0px);
	opacity: 1;
	transition: all cubic-bezier(0.25, 1, 0.5, 1) 0.3s !important; /* Animate in */
}

@media (min-width: 992px) {
	.icon_gyro {
		display: none;
	}
}

.panel.active .fadein:nth-child(0),
.panel.active .fadein.fade-1 {
	transition-delay: 0.2s !important;
}
.panel.active .fadein:nth-child(1),
.panel.active .fadein.fade-2 {
	transition-delay: 0.3s !important;
}
.panel.active .fadein:nth-child(2),
.panel.active .fadein.fade-3 {
	transition-delay: 0.4s !important;
}
.panel.active .fadein:nth-child(3),
.panel.active .fadein.fade-4 {
	transition-delay: 0.5s !important;
}
.panel.active .fadein:nth-child(4),
.panel.active .fadein.fade-5 {
	transition-delay: 0.6s !important;
}
.panel.active .fadein:nth-child(5),
.panel.active .fadein.fade-6 {
	transition-delay: 0.7s !important;
}
.panel.active .fadein:nth-child(6),
.panel.active .fadein.fade-7 {
	transition-delay: 0.8s !important;
}
.panel.active .fadein:nth-child(7),
.panel.active .fadein.fade-8 {
	transition-delay: 0.9s !important;
}
.panel.active .fadein:nth-child(8),
.panel.active .fadein.fade-9 {
	transition-delay: 1s !important;
}
.panel.active .fadein:nth-child(9),
.panel.active .fadein.fade-10 {
	transition-delay: 1.1s !important;
}
.panel.active .fadein:nth-child(10),
.panel.active .fadein.fade-11 {
	transition-delay: 1.2s !important;
}

.noHoverHand:hover {
	cursor: wait !important;
}

.hoverlink .ggmarkdown p,
.hoverlink div,
.maptext .ggmarkdown p,
.maptext div {
	font-family: times, serif !important;
	line-height: 14px !important;
	margin-bottom: 4px;
	font-size: 1.1vw !important;
	line-height: 1vw !important;
}
.hoverlink:hover .ggmarkdown p,
.hoverlink:hover div {
	text-decoration: underline;
	cursor: pointer;
}
.theMap .ggskin_image {
	position: relative !important;
}

.panel_iframe .ggskin_text div {
	height: 100% !important;
}

.iframewrapper,
.iframewrapper div {
	background: none !important;
}
.iframewrapper iframe {
	overflow: scroll !important;
	-webkit-overflow-scrolling: touch !important;
}

.exitIframeEle {
	max-width: 25px;
	width: 300px;
	transition: all ease 0.2s;
	overflow: hidden;
	box-sizing: border-box;
}
.exitIframeEle:hover {
	max-width: 150px;
	cursor: pointer;
}

.markerCircle {
	background-color: rgba(150, 150, 150, 0.3);
}

.block-relative {
	position: relative;
}

.iframewrapper div {
	height: 100% !important;
}

::-webkit-scrollbar-track {
	border-radius: 0.125rem;
	background-color: rgb(211, 211, 211);
}
::-webkit-scrollbar {
	width: 0.25rem;
	border-radius: 0.125rem;
	background-color: rgb(211, 211, 211);
}
::-webkit-scrollbar-thumb {
	border-radius: 0.125rem;
	background-color: rgb(211, 211, 211);
}

.sidebarUnderlay {
	opacity: 0 !important;
	transition: all linear 0.1s 0s !important;
	visibility: visible !important;
}
.sidebarUnderlay.active {
	opacity: 0.5 !important;
	transition: all ease 0.3s 0.5s !important;
	visibility: visible !important;
}

.maplinkarea {
	position: absolute;
}
.hovercross:hover {
	cursor: pointer;
}

.maplinkarea:hover {
	cursor: pointer;
}
.maplinkarea .mapklinkicon {
	transition: all ease 0.2s;
	filter: invert(0);
}
.maplinkarea:hover .mapklinkicon {
	filter: invert(1);
}

.mapdot {
	background: #000;
	outline: 3px solid #000;
	outline-offset: 3px;
	animation-name: mapdotpulse;
	animation-duration: 1.5s;
	animation-direction: normal;
	animation-timing-function: ease-out;
	animation-fill-mode: none;
	animation-iteration-count: infinite;
}

@keyframes mapdotpulse {
	0% {
		outline-offset: 0px;
		outline: 3px solid rgba(0, 0, 0, 0);
	}
	10% {
		outline-offset: 3px;
		outline: 3px solid rgba(0, 0, 0, 1);
	}
	50% {
		outline: 1px solid rgba(0, 0, 0, 0.5);
	}
	80% {
		outline: 0px solid rgba(0, 0, 0, 0);
	}
	100% {
		outline-offset: 20px;
		outline: 0px solid rgba(0, 0, 0, 0);
	}
}

.gyroWrapper.hidden {
	display: none !important;
}

.switchdisabled,
.unclickable {
	pointer-events: none !important;
}
.switchenabled,
.clickable {
	pointer-events: all;
}

.uihide {
	transition: opacity 0.15s 0.075s !important;
	opacity: 1;
}
.uihide.uihidden {
	pointer-events: none !important;
	opacity: 0 !important;
}

.closeicon:hover {
	cursor: pointer;
}
.closeicon img {
	transform: scale(1);
	transform-origin: center center;
	transition: all ease-out 0.15s 0.05s;
}
.closeicon:hover img {
	transform: scale(0.8);
	transition: all ease 0.2s;
}
.closeicon::after {
	z-index: -1;
	content: "";
	position: absolute;
	border-radius: 50%;
	left: -5px;
	top: -6px;
	width: 26px;
	height: 26px;
	opacity: 0;
	border: 1.5px solid #000;
	pointer-events: none;
	transition: all linear 0.1s;
}

.closeicon:hover::after {
	opacity: 1;
	transition: all ease-in 0.3s;
}

.sidebarforceclose:hover {
	cursor: pointer !important;
}

.interface {
	pointer-events: all;
}
.interface.noTouch,
.interface.noTouch > div,
.interface.noTouch .icon,
.interface.noTouch .ggskin_button,
.interface.noTouch .ggskin {
	pointer-events: none !important;
}
